# Keke Insurance

The following endpoints will allow a merchant to subscribe their customer to the Keke insurance plan and request claims for their customers.

## List All Keke Products

## This endpoint returns a list of all the keke insurance products

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/keke_get_products`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
   "success":true,
   "response_message":"Keke pass product get successful",
   "response_code":"",
   "data":[
      {
         "id":26,
         "name":"Jeje Cover",
         "details":"Jeje Cover",
         "beneficiaries":true,
         "max_beneficiaries":1,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-03-16T13:09:46.000000Z",
         "updated_at":"2022-03-16T13:09:46.000000Z",
         "service_id":9,
         "product_class_id":0,
         "price_config":[
            {
               "id":46,
               "product_id":26,
               "no_of_users":1,
               "provider_price":"0.00",
               "coverdor_commission":"400.00",
               "total_price":"2600.00",
               "product_code":"parcel_quard",
               "product_short_code":"PARCEL_QUARD",
               "created_at":"2022-03-16T13:09:46.000000Z",
               "updated_at":"2022-03-16T13:09:46.000000Z",
               "system_commission":"400.00",
               "amount_insured":"415000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      },
      {
         "id":27,
         "name":"Carry Go Cover",
         "details":"Carry Go Cover",
         "beneficiaries":true,
         "max_beneficiaries":1,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-03-16T13:09:46.000000Z",
         "updated_at":"2022-03-16T13:09:46.000000Z",
         "service_id":9,
         "product_class_id":0,
         "price_config":[
            {
               "id":47,
               "product_id":27,
               "no_of_users":1,
               "provider_price":"0.00",
               "coverdor_commission":"400.00",
               "total_price":"3700.00",
               "product_code":"parcel_quard",
               "product_short_code":"PARCEL_QUARD",
               "created_at":"2022-03-16T13:09:46.000000Z",
               "updated_at":"2022-03-16T13:09:46.000000Z",
               "system_commission":"400.00",
               "amount_insured":"58000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      },
      {
         "id":28,
         "name":"No-Shaking Cover",
         "details":"No-Shaking Cover",
         "beneficiaries":true,
         "max_beneficiaries":1,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-03-16T13:09:46.000000Z",
         "updated_at":"2022-03-16T13:09:46.000000Z",
         "service_id":9,
         "product_class_id":0,
         "price_config":[
            {
               "id":48,
               "product_id":28,
               "no_of_users":1,
               "provider_price":"0.00",
               "coverdor_commission":"400.00",
               "total_price":"4800.00",
               "product_code":"parcel_quard",
               "product_short_code":"PARCEL_QUARD",
               "created_at":"2022-03-16T13:09:46.000000Z",
               "updated_at":"2022-03-16T13:09:46.000000Z",
               "system_commission":"400.00",
               "amount_insured":"725000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      },
      {
         "id":29,
         "name":"Confaam Cover",
         "details":"Confaam Cover",
         "beneficiaries":true,
         "max_beneficiaries":1,
         "provider_id":2,
         "logo_url":"logo.png",
         "enable":true,
         "created_at":"2022-03-16T13:09:46.000000Z",
         "updated_at":"2022-03-16T13:09:46.000000Z",
         "service_id":9,
         "product_class_id":0,
         "price_config":[
            {
               "id":49,
               "product_id":29,
               "no_of_users":1,
               "provider_price":"0.00",
               "coverdor_commission":"400.00",
               "total_price":"6000.00",
               "product_code":"parcel_quard",
               "product_short_code":"PARCEL_QUARD",
               "created_at":"2022-03-16T13:09:46.000000Z",
               "updated_at":"2022-03-16T13:09:46.000000Z",
               "system_commission":"400.00",
               "amount_insured":"785000.00",
               "commission_type":"fixed",
               "min_price":"0.00",
               "max_price":"0.00"
            }
         ]
      }
   ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/keke_get_products',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/keke_get_products',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  },
  data: data
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/keke_get_products' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/insurpass-api-reference/keke-insurance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
